macroscript SelectNonQuadPolys category:"Bobo_s Tools"
(
------------------------------------
--SelectNonQuadPolys--
--Version 0.2
--Created: 17 Feb 2002
--Edited:  17 Feb 2002
--Code by Borislav Petrov
--bobo@email.archlab.tuwien.ac.at
------------------------------------

on isEnabled return (selection.count == 1 and classof selection[1].baseobject == Editable_Poly)
on execute do
(
	face_selection = #()
	for f = 1 to polyop.getNumFaces $.baseobject do
	(
		edges = polyop.getEdgesUsingFace $.baseobject f
		if (edges as array).count != 4 then append face_selection f
	)--end f loop
	polyop.setFaceSelection $.baseobject face_selection
	max modify mode
	modPanel.setCurrentObject $.baseobject
	subobjectlevel = 4
)--end on execute
)--end script	